<?php

/**
 * HappyFenceNG Total Enterprise Security Plugin
 * HAPPYWPRESS is a RazorVue Trademark.
 *
 * @package     HappyFenceNG
 * @developer   Simonluca Scillitani
 * @copyright   2025 RazorVue di Scillitani Simonluca
 * @link        https://razorvue.it
 * @author      RazorVue di Scillitani Simonluca
 * @brand       HappyWPress
 * @uri         https://happywpress.com
 * @set all
 */
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
/**PHPCS -> code compliance: we put useful comments where needed.. */
class HappyFenceNGEControl extends HappyFenceNGSystem {
    /**PHPCS -> code compliance: we put useful comments where needed.. */
    public function __construct() {
        parent::__constructor( static::class );
    }

    /**PHPCS -> code compliance: we put useful comments where needed.. */
    public function init() {
        try {
            HappyFenceNGLOGCORE::logcore( static::class . ' (INIT)', HappyFenceNGSyslogFacility::INIT, HappyFenceNGSyslogSeverity::AUDIT );
            parent::exc( HappyFenceNGEDPCFC::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::E02 );
            parent::exc( HappyFenceNGEDPDSEC::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::E05 );
            parent::exc( HappyFenceNGEDPFUN::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::E06 );
            parent::exc( HappyFenceNGEDPCLISEC::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::E08 );
            parent::exc( HappyFenceNGEDPPRI::class, array(HappyFenceNGInoq::IO), HappyFenceNGSym::E14 );
        } catch ( \Throwable $e ) {
            HappyFenceNGLOGCORE::logcore( sprintf( 'E-CONTROL::This should never happen: %s ', $e->getMessage() ), HappyFenceNGSyslogFacility::SYSTEM, HappyFenceNGSyslogSeverity::CRITICAL );
        }
    }

}
